# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Return_Address_Stack			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Return_Address_Stack_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Return_Address_Stack

#-----[ Library ]------------------------------------------

Return_Address_Stack_LIBRARY		= 	-lReturn_Address_Stack	\
					$(Behavioural_LIBRARY)	

Return_Address_Stack_DIR_LIBRARY		=	-L$(Return_Address_Stack_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Return_Address_Stack_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Return_Address_Stack_DIR) --makefile=Makefile;

Return_Address_Stack_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Return_Address_Stack_DIR) --makefile=Makefile clean;
